# Dataset.list\_versions

### Dataset.<mark style="color:purple;">list\_versions</mark>(*max\_results=None*) → list<[Version](/api/client-libraries/redivis-python/reference/version.md)>

Returns an ordered list of versions for the dataset.

### **Parameters:**

**`max_results` :&#x20;*****int, default None***\
If specified, will only return up to max\_results versions

### **Returns:**&#x20;

**list<**[**Version**](/api/client-libraries/redivis-python/reference/version.md)**>**

### Examples:

<pre class="language-python"><code class="lang-python">dataset = redivis.organization("Demo").dataset("ghcn_daily_weather_data")
versions = dataset.list_versions()

<strong>for version in versions:
</strong><strong>    # Properties will be populated with the version.list resource definition
</strong>    print(version.properties) 
</code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-python/reference/dataset/dataset.list_versions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
